
QGIS Application - Bug report #7613

2 "Browser" entries in View->Panels...

2013-04-14 08:28 AM - Giuseppe Sucameli

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 16541

Description

In View->Panels there are 2 browser entries: "Browser", "Browser (2)".

One must be removed.

History

#1 - 2013-04-14 08:53 AM - Borys Jurgiel

I think two browsers were introduced intentionally, however, the way they co-exist in the menu is quite ugly...

#2 - 2013-04-14 01:20 PM - Giuseppe Sucameli

Borys Jurgiel wrote:

I think two browsers were introduced intentionally

I've thought the same, but I'm unable to understand why...

#3 - 2013-04-14 01:23 PM - Giovanni Manghi

Giuseppe Sucameli wrote:

Borys Jurgiel wrote:

I think two browsers were introduced intentionally

I've thought the same, but I'm unable to understand why...

my idea? because dragging and dropping from the toc is not possible and d&d in the same browser is not very functional when you have folders with a lot

of layers and a lot of postgis/sl connections :)

#4 - 2013-04-14 02:22 PM - Jürgen Fischer

Giovanni Manghi wrote:
my idea? because dragging and dropping from the toc is not possible and d&d in the same browser is not very functional when you have folders with

a lot of layers and a lot of postgis/sl connections :)

Hey, it's not your's, it's mine! ;)   But appearently the reasoning is not unique.

#5 - 2013-06-03 05:42 AM - Radim Blazek

Ugly and confusing, I was convinced that the Browser 2 is a new version of browser.

What about usual "split window" in the browser widget, which would split the widget into two parts with one browser in each part?

Browser 2 should not appear be in 2.0 IMO.

#6 - 2014-02-25 11:05 AM - Donovan Cameron

I think it should only be one browser panel entry in the qgis application or explain to the users what makes Browser(2) unique.

I'm comparing them and have trouble noticing any visual or functional difference. Is there something special about Browser(2)?

If users want multiple browser(s), can't users just launch the QGIS-Browser application separately and as many times as they like?

#7 - 2014-02-25 11:13 AM - Giovanni Manghi

Donovan Cameron wrote:

I think it should only be one browser panel entry in the qgis application or explain to the users what makes Browser(2) unique.

I'm comparing them and have trouble noticing any visual or functional difference. Is there something special about Browser(2)?

If users want multiple browser(s), can't users just launch the QGIS-Browser application separately and as many times as they like?

see #7613-3

until d&d from/to toc is not available, then browser(2) is actually useful  (sometimes).

#8 - 2014-06-21 01:37 PM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to worksforme

it's not a bug, it's a feature.
